Bug 484563 - Review Request: php-ezc-ConsoleTools - eZ Components ConsoleTools
Review Request: php-ezc-ConsoleTools - eZ Components ConsoleTools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 484507 484509
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 06:47 EST by Guillaume Kulakowski
Modified: 2010-08-29 14:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 15:37:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-02-08 06:47:53 EST
ConsoleTools is a part of eZ Components :
https://bugzilla.redhat.com/show_bug.cgi?id=484507

A set of classes to do different actions with the console (also called shell).
It can render a progress bar, tables and a status bar and contains a class for
parsing command line options.

SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-ConsoleTools.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-ConsoleTools-1.5-1.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-ConsoleTools-1.5-1.fc10.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint php-ezc-Base.*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| pear/*                      | 5.0.0   | 0 | pcre       | PHP_EOL            |
|                             |         |   |            | STDIN              |
|                             |         |   |            | abstract           |
|                             |         |   |            | catch              |
|                             |         |   |            | implements         |
|                             |         |   |            | instanceof         |
|                             |         |   |            | interface          |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
|                             |         |   |            | try                |
+-----------------------------+---------+---+------------+--------------------+
Comment 1 Remi Collet 2009-02-23 12:58:39 EST
REVIEW:

+ rpmlint is ok
php-ezc-ConsoleTools.src: I: checking
php-ezc-ConsoleTools.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
b680b22c79f7e665e604354f6bdb3383  ConsoleTools-1.5.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ no documentation
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
- not tested with mock
+ no test suite
+ scriptlets ok
- Final Requires KO
- Final Provides KO

MUST fixe (ezc => components.ez.no) :
Requires:       php-pear(%{channel}/Base) >= 1.6
Provides:       php-pear(%{channel}/%{pear_name}) = %{version}

To be removed (already required by Base)
Requires:       php-pear(PEAR)
Requires:       php-channel(%{channel})

Requires php-common >= 5.2.1 could be kept as it could be different (between packages) in the future.
Comment 2 Guillaume Kulakowski 2009-02-24 02:01:12 EST
Thx.

Done : http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-ConsoleTools.spec
Comment 3 Remi Collet 2009-02-24 10:43:54 EST
+ Final Requires OK
/bin/sh  
/usr/bin/pear  
php-common >= 5.2.1
php-pear(components.ez.no/Base) >= 1.6

+ Final Provides OK
php-pear(components.ez.no/ConsoleTools) = 1.5
php-ezc-ConsoleTools = 1.5-1.fc8

APPROVED
Comment 4 Guillaume Kulakowski 2009-02-24 10:54:58 EST
New Package CVS Request
=======================
Package Name: ConsoleTools
Short Description: A set of classes to do different actions with the console
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-02-24 15:45:18 EST
cvs done.
Comment 6 Guillaume Kulakowski 2009-02-24 18:52:57 EST
Package Change Request
======================
Package Name: php-ezc-ConsoleTools


Error in package name
Comment 7 Toshio Ernie Kuratomi 2009-02-26 21:02:58 EST
cvs done.
Comment 8 Fedora Update System 2009-03-05 08:38:07 EST
php-ezc-ConsoleTools-1.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-ConsoleTools-1.5-1.fc9
Comment 9 Fedora Update System 2009-03-05 08:38:12 EST
php-ezc-ConsoleTools-1.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-ConsoleTools-1.5-1.fc10
Comment 10 Fedora Update System 2009-03-09 18:48:38 EDT
php-ezc-ConsoleTools-1.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-ConsoleTools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2446
Comment 11 Fedora Update System 2009-03-09 18:51:43 EDT
php-ezc-ConsoleTools-1.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-ConsoleTools'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2470
Comment 12 Fedora Update System 2009-03-16 15:37:09 EDT
php-ezc-ConsoleTools-1.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-03-16 15:43:22 EDT
php-ezc-ConsoleTools-1.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Guillaume Kulakowski 2010-08-29 04:57:52 EDT
Package Change Request
======================
Package Name: php-ezc-ConsoleTools  
New Branches: EL-6
Owners: llaumgui
Comment 15 Kevin Fenzi 2010-08-29 14:46:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.